﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_YHS_TZ') 
 CREATE TABLE T_TCRET_YHS_TZ (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERIFYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FGATHERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FNAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FTAXAUTHORITY') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FLEASEETAXCODE') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FLEASEETAXCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FLEASEENAME') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FLEASEENAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FLEASEAREA') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FLEASEAREA DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FCONTRACTSTART') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FCONTRACTSTART DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FCONTRACTEND') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FCONTRACTEND DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FUNIFIEDSOCIALCODE') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FLEASECONTRACTNO') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FLEASECONTRACTNO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM' AND KSQL_COL_NAME ='FFCSAPANAGE') 
 ALTER TABLE T_TCRET_PBT_FCS_HIRE_SUM ADD (FFCSAPANAGE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FNAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FTAXPAYER') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FTAXPAYER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FBUILDINGUSAGE') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FBUILDINGUSAGE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FFIXASSERTNUMBER') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FFIXASSERTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FFIXASSERTUNITCODE') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FFIXASSERTUNITCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FLANDNUMBER') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FLANDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FADDR') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FADDR VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FDETAILADDR') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FDETAILADDR VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FAREA') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FAREA DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FACQUIREDATE') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FACQUIREDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FHIREAREA') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FHIREAREA DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FTAXTIMEPOINT') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FTAXTIMEPOINT VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FUNIFIEDSOCIALCODE') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FOWNERNAME') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FOWNERNAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM' AND KSQL_COL_NAME ='FTAXAUTHORITY') 
 ALTER TABLE T_TCRET_PBT_FCS_PRICE_SUM ADD (FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FTDSAPANAGE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FTDSAPANAGE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FTAXPAYERTYPE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FUNIFIEDSOCIALCODE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FOWNERNAME') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FOWNERNAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FTEXTFIELD') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FFIXASSERTNUMBER') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FFIXASSERTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FFIXASSERTUNITCODE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FFIXASSERTUNITCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FPARCELCODE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FPARCELCODE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FLANDNATURE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FLANDNATURE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FLANDOBTAINWAY') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FLANDOBTAINWAY VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FLANDPURPOSE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FLANDPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FTAXAUTHORITY') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FDETAILADDR') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FDETAILADDR VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FOBTAINTIME') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FOBTAINTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_PBT_TDS_SUM' AND KSQL_COL_NAME ='FPRICE') 
 ALTER TABLE T_TCRET_PBT_TDS_SUM ADD (FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_SYCJ_YHSSM' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_TCRET_SYCJ_YHSSM ADD (FCREATETIME DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
