﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_constraint.sql **/
 EXEC P_ALTERPK 'PK_TCRET_DECLARE_ENTRY_TP', 'T_TCRET_DECLARE_ENTRY_TP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_DECLARE_ENTRY_TP_FK') CREATE INDEX IDX_TCRET_DECLARE_ENTRY_TP_FK ON T_TCRET_DECLARE_ENTRY_TP ( FID );


 EXEC P_ALTERPK 'PK_TCRET_DECLARE_MAIN_TP', 'T_TCRET_DECLARE_MAIN_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_DECLARE_MAIN_TP') CREATE INDEX IDX_TCRET_DECLARE_MAIN_TP ON T_TCRET_DECLARE_MAIN_TP ( FORGID ,FTAXAUTHORITYID ,FDECLAREDATE );


 EXEC P_ALTERPK 'PK_TCRET_CCXWS_ZB_HB', 'T_TCRET_CCXWS_ZB_HB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_CCXWS_ZB_HB') CREATE INDEX IDX_TCRET_CCXWS_ZB_HB ON T_TCRET_CCXWS_ZB_HB ( FSBBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_CCXWS_ZB_HB_2') CREATE UNIQUE INDEX IDX_TCRET_CCXWS_ZB_HB_2 ON T_TCRET_CCXWS_ZB_HB ( FEWBLXH ,FSBBID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_FCS_HIRE_SUM_TP', 'T_TCRET_PBT_FCS_HIRE_SUM_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_PBT_FCS_HIRE_SUM_TP') CREATE INDEX IDX_TCRET_PBT_FCS_HIRE_SUM_TP ON T_TCRET_PBT_FCS_HIRE_SUM_TP ( FMAINDATAID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_FCS_PRICE_SUM_TP', 'T_TCRET_PBT_FCS_PRICE_SUM_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_PBT_FCS_PRICE_SUM_TP') CREATE INDEX IDX_TCRET_PBT_FCS_PRICE_SUM_TP ON T_TCRET_PBT_FCS_PRICE_SUM_TP ( FMAINDATAID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_TDS_DET_TP', 'T_TCRET_PBT_TDS_DET_TP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_PBT_TDS_DET_TP_FK') CREATE INDEX IDX_TCRET_PBT_TDS_DET_TP_FK ON T_TCRET_PBT_TDS_DET_TP ( FID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_TDS_SUM_TP', 'T_TCRET_PBT_TDS_SUM_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_PBT_TDS_SUM_TP') CREATE INDEX IDX_TCRET_PBT_TDS_SUM_TP ON T_TCRET_PBT_TDS_SUM_TP ( FMAINDATAID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_FCS_HIRE_RENT_TP', 'T_TCRET_PBT_FCS_HIRE_RENT_TP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_FCS_HIRE_RENT_TP') CREATE INDEX IDX_TCRET_FCS_HIRE_RENT_TP ON T_TCRET_PBT_FCS_HIRE_RENT_TP ( FID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_FCS_PRICE_DET_TP', 'T_TCRET_PBT_FCS_PRICE_DET_TP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_FCS_PRICE_DET_TP') CREATE INDEX IDX_TCRET_FCS_PRICE_DET_TP ON T_TCRET_PBT_FCS_PRICE_DET_TP ( FID );


 EXEC P_ALTERPK 'PK_TCRET_SYCJ_YHSXX_TP', 'T_TCRET_SYCJ_YHSXX_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_SYCJ_YHSXX_TP') CREATE INDEX IDX_TCRET_SYCJ_YHSXX_TP ON T_TCRET_SYCJ_YHSXX_TP ( FORGID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_TCRET_PBT_FCS_HIRE_DET_TP', 'T_TCRET_PBT_FCS_HIRE_DET_TP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_PBT_FCS_HIRE_DET_TP') CREATE INDEX IDX_TCRET_PBT_FCS_HIRE_DET_TP ON T_TCRET_PBT_FCS_HIRE_DET_TP ( FID );


 EXEC P_ALTERPK 'PK_TCRET_PBT_FCS_HIRE_RENT', 'T_TCRET_PBT_FCS_HIRE_RENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TCRET_PBT_FCS_HIRE_RENT_FK') CREATE INDEX IDX_TCRET_PBT_FCS_HIRE_RENT_FK ON T_TCRET_PBT_FCS_HIRE_RENT ( FID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_constraint.sql **/
