﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_CCS_FB') 
 CREATE TABLE T_TCRET_CCXWS_CCS_FB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLCBSBM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJMXZDM VARCHAR(500) DEFAULT ' ' NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_CCS_ENTRY_TP') 
 CREATE TABLE T_TCRET_PBT_CCS_ENTRY_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXDEDUCTION BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME,
FJMBL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_CCS_SUM') 
 CREATE TABLE T_TCRET_PBT_CCS_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCCSBDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCPZDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCZCRQ DATETIME,
FZXRQ DATETIME,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_CCS_SUM_ENTRY') 
 CREATE TABLE T_TCRET_PBT_CCS_SUM_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXDEDUCTION BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME,
FJMBL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_CCS_SUM_TP') 
 CREATE TABLE T_TCRET_PBT_CCS_SUM_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FTAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCSBDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCPZDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCZCRQ DATETIME,
FZXRQ DATETIME,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
