﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_ACCRUAL_DRAFT')
 CREATE TABLE T_TCRET_ACCRUAL_DRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FDRAFTNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXTYPE BIGINT DEFAULT 0 NOT NULL,
FACCRUALPLAN BIGINT DEFAULT 0 NOT NULL,
FACCRUALDATE DATETIME,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FDRAFTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJTYNSESUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPZHC VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_ACCRUAL_ENTRY')
 CREATE TABLE T_TCRET_ACCRUAL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXITEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALSOURCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJTYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOSORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_YHS_SJJT_DETAIL')
 CREATE TABLE T_TCRET_YHS_SJJT_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSMAP VARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
