﻿/**Begin D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\TCRET_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_DECLARE_MAIN_TP' AND KSQL_COL_NAME ='FDETAILDECLARE') 
 ALTER TABLE T_TCRET_DECLARE_MAIN_TP ADD (FDETAILDECLARE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_DECLARE_MAIN' AND KSQL_COL_NAME ='FDETAILDECLARE') 
 ALTER TABLE T_TCRET_DECLARE_MAIN ADD (FDETAILDECLARE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_ACCRUAL_DRAFT' AND KSQL_COL_NAME ='FISXXWLQY') 
 ALTER TABLE T_TCRET_ACCRUAL_DRAFT ADD (FISXXWLQY VARCHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_ACCRUAL_ENTRY' AND KSQL_COL_NAME ='FHBSSL') 
 ALTER TABLE T_TCRET_ACCRUAL_ENTRY ADD (FHBSSL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_ACCRUAL_ENTRY' AND KSQL_COL_NAME ='FTAXMONTH') 
 ALTER TABLE T_TCRET_ACCRUAL_ENTRY ADD (FTAXMONTH DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_EDITSHARINGSCHEME') 
 CREATE TABLE T_TCRET_EDITSHARINGSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPLANNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTOSHAR CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SHARINGSCHEME') 
 CREATE TABLE T_TCRET_SHARINGSCHEME (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBASEDATAPROPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SHARINGSCHEME_L') 
 CREATE TABLE T_TCRET_SHARINGSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SHARINGSCHEME_LEA') 
 CREATE TABLE T_TCRET_SHARINGSCHEME_LEA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEASEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SHARINGSCHEME_ORG') 
 CREATE TABLE T_TCRET_SHARINGSCHEME_ORG (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SHARINGSCHEMERULE') 
 CREATE TABLE T_TCRET_SHARINGSCHEMERULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\TCRET_table.sql **/
