﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_H_INFO') 
 CREATE TABLE T_TCRET_HOUSETAX_H_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENTTAXREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTREDUCERENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_HIRE') 
 CREATE TABLE T_TCRET_HOUSETAX_HIRE (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENTDECLARERENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTREDUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTSMALLREDUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAIDIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDRAWBACK DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_P_INFO') 
 CREATE TABLE T_TCRET_HOUSETAX_P_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTAXREDUCECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENTTAXREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCEHOUSEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCOUNTRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_P_S_JMS') 
 CREATE TABLE T_TCRET_HOUSETAX_P_S_JMS (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FREDUCEBUILDINGVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMONTHREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_PRICE') 
 CREATE TABLE T_TCRET_HOUSETAX_PRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FHOUSEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRENTALHOUSEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXATIONRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTREDUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTSMALLREDUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAIDIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDRAWBACK DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_LAND_TAX') 
 CREATE TABLE T_TCRET_LAND_TAX (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDLEVEL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLANDPARCELNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXSTANDARD VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDTOTALAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIMESTART DATETIME,
FTIMEEND DATETIME,
FCURRENTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTREDUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTSMALLREDUCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAIDIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTDRAWBACK DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_LANDTAX_DEDUCTION') 
 CREATE TABLE T_TCRET_LANDTAX_DEDUCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FLANDLEVEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXSTANDARD VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENTTAXREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_LANDTAX_SOUR_JMS') 
 CREATE TABLE T_TCRET_LANDTAX_SOUR_JMS (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FREDUCELANDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMONTHREDUCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_REDUCE_LEVYPOLICY') 
 CREATE TABLE T_TCRET_REDUCE_LEVYPOLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMINUSRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIMESTART DATETIME,
FTIMEEND DATETIME,
FISSUITABLEFORSMALL VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_H_S_INFO') 
 CREATE TABLE T_TCRET_HOUSETAX_H_S_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUILDINGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUILDINGNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUILDINGPURPOSE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROVINCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNTRY VARCHAR(100) DEFAULT ' ' NOT NULL,
FVILLAGE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXOFFICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLEASEENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLEASEENAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FRENTAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTRENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTSTARTDATE DATETIME,
FCONTRACTENDDATE DATETIME,
FDECLARERENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLARESTARTDATE DATETIME,
FDECLAREENDDATE DATETIME,
FTAXREDUCECODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXREDUCEPROJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FREDUCERENTAL VARCHAR(100) DEFAULT ' ' NOT NULL,
FREDUCETAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCATION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_HOUSETAX_P_S_INFO') 
 CREATE TABLE T_TCRET_HOUSETAX_P_S_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FOWNERNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUILDINGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUILDINGNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALESTATENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALESTATEUNITNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FPROVINCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNTRY VARCHAR(100) DEFAULT ' ' NOT NULL,
FVILLAGES VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXOFFICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FBUILDINGUSAGE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBUILDINGOBTAINTIME DATETIME,
FCHANGETIME DATETIME,
FCOVEREDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLETAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHOUSEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXDUTYEND VARCHAR(30) DEFAULT ' ' NOT NULL,
FMESSAGECHANGE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCATION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_LANDTAX_SOUR_INFO') 
 CREATE TABLE T_TCRET_LANDTAX_SOUR_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(30) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXPAYERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLANDOWNERNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALESTATENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALESTATEUNITNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDPARCELNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FLANDACQUIREWAY VARCHAR(30) DEFAULT ' ' NOT NULL,
FLANDPURPOSE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROVINCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNTRY VARCHAR(100) DEFAULT ' ' NOT NULL,
FVILLAGES VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXOFFICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDACQUIRETIME DATETIME,
FTAXDUTYEND VARCHAR(30) DEFAULT ' ' NOT NULL,
FMESSAGECHANGE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHANGETIME DATETIME,
FOCCUPYLANDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLANDLEVEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXSTANDARD VARCHAR(100) DEFAULT ' ' NOT NULL,
FLANDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOBTAINLANDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLANDDEVELOPMENTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCATION VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
