﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCS_HIRE_DET') 
 CREATE TABLE T_TCRET_FCS_HIRE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FBUILDINGCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXREDUCECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FROWNO INT DEFAULT 0 NOT NULL,
FISSHOWFCSBYHIRE CHAR(1) DEFAULT ' ' NOT NULL,
FTAXLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FAPANAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCS_PRICE_DET') 
 CREATE TABLE T_TCRET_FCS_PRICE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FBUILDINGCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTAXREDUCENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO INT DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FISSHOWFCSBYPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPANAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDS_DET') 
 CREATE TABLE T_TCRET_TDS_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FLANDCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXSTANDARD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSHOWTDS CHAR(1) DEFAULT ' ' NOT NULL,
FROWNO INT DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FAPANAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXREDUCENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
