﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_DECLARE_ENTRY_TP')
 CREATE TABLE T_TCRET_DECLARE_ENTRY_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPEBRIEF VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_DECLARE_MAIN_TP')
 CREATE TABLE T_TCRET_DECLARE_MAIN_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITYID BIGINT DEFAULT 0 NOT NULL,
FDECLAREDATE DATETIME,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME,
FPAYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARER BIGINT DEFAULT 0 NOT NULL,
FPAYER BIGINT DEFAULT 0 NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBRQ DATETIME,
FYNSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSEHJ DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_ZB_HB')
 CREATE TABLE T_TCRET_CCXWS_ZB_HB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJSYJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM_TP')
 CREATE TABLE T_TCRET_PBT_FCS_HIRE_SUM_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL,
FLEASEETAXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEASEENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEASEAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTSTART DATETIME,
FCONTRACTEND DATETIME,
FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEASECONTRACTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCSAPANAGE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM_TP')
 CREATE TABLE T_TCRET_PBT_FCS_PRICE_SUM_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FASSERTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRENTALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXPAYER VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUILDINGUSAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIXASSERTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIXASSERTUNITCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDR VARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILADDR VARCHAR(50) DEFAULT ' ' NOT NULL,
FAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACQUIREDATE DATETIME,
FHIREAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTIMEPOINT VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_TDS_DET_TP')
 CREATE TABLE T_TCRET_PBT_TDS_DET_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCODEID BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_TDS_SUM_TP')
 CREATE TABLE T_TCRET_PBT_TDS_SUM_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FOCCUPYLANDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXSTANDARD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FTDSAPANAGE BIGINT DEFAULT 0 NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIFIEDSOCIALCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIXASSERTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIXASSERTUNITCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARCELCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDNATURE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDOBTAINWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDPURPOSE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL,
FDETAILADDR VARCHAR(50) DEFAULT ' ' NOT NULL,
FOBTAINTIME DATETIME,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_RENT_TP')
 CREATE TABLE T_TCRET_PBT_FCS_HIRE_RENT_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRENTINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTENANTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHIRETAXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHIREAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_DET_TP')
 CREATE TABLE T_TCRET_PBT_FCS_PRICE_DET_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCODEID BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SYCJ_YHSXX_TP')
 CREATE TABLE T_TCRET_SYCJ_YHSXX_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERIFYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL,
FDEDUCTTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FGATHERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_DET_TP')
 CREATE TABLE T_TCRET_PBT_FCS_HIRE_DET_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCODEID BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_RENT')
 CREATE TABLE T_TCRET_PBT_FCS_HIRE_RENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRENTINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTENANTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHIRETAXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHIREAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


 EXEC p_AlterColumn 'T_TCRET_DECLARE_MAIN', 'FSBBID', 'BIGINT', 'NOT NULL', '1111', '0';



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
