﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_LVAT_RULE_ENTRY' AND KSQL_COL_NAME ='FADVANCEDCONF')
 ALTER TABLE T_TCRET_LVAT_RULE_ENTRY ADD (FADVANCEDCONF VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_LVAT_RULE_ENTRY' AND KSQL_COL_NAME ='FADVANCEDCONFJSON')
 ALTER TABLE T_TCRET_LVAT_RULE_ENTRY ADD (FADVANCEDCONFJSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_LVAT_RULE_ENTRY' AND KSQL_COL_NAME ='FJSBL')
 ALTER TABLE T_TCRET_LVAT_RULE_ENTRY ADD (FJSBL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_LVAT_RULE_ENTRY' AND KSQL_COL_NAME ='FVATRATE')
 ALTER TABLE T_TCRET_LVAT_RULE_ENTRY ADD (FVATRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZDYJ_EDIT')
 CREATE TABLE T_TCRET_TDZZDYJ_EDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FADJUSTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTITLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FPREADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOSTADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTEXPLAIN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FYJXMID BIGINT DEFAULT 0 NOT NULL,
FCOLUMNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWINDEX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_FCLXZM')
 CREATE TABLE T_TCRET_TDZZS_FCLXZM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FFCLXMC BIGINT DEFAULT 0 NOT NULL,
FYZL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_FCLXZM_L')
 CREATE TABLE T_TCRET_TDZZS_FCLXZM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_YJ_DET')
 CREATE TABLE T_TCRET_TDZZS_YJ_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYJXM BIGINT DEFAULT 0 NOT NULL,
FBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FINCOMETYPE BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_YJSYXX')
 CREATE TABLE T_TCRET_TDZZS_YJSYXX (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTDZZSXM BIGINT DEFAULT 0 NOT NULL,
FSBLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSSBSYLX BIGINT DEFAULT 0 NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_YJSYXX_EN')
 CREATE TABLE T_TCRET_TDZZS_YJSYXX_EN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUPDACO VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FHBSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FSWJQTSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYZL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_YJSYXX_ENTP')
 CREATE TABLE T_TCRET_TDZZS_YJSYXX_ENTP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUPDACO VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FYSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHBSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSWJQTSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYZL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_YJSYXX_TP')
 CREATE TABLE T_TCRET_TDZZS_YJSYXX_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTDZZSXM BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSBLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FSBBBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSSBSYLX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZSYJ_ADJUST_DE')
 CREATE TABLE T_TCRET_TDZZSYJ_ADJUST_DE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTITLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXITEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FYJXMID BIGINT DEFAULT 0 NOT NULL,
FCOLUMNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWINDEX BIGINT DEFAULT 0 NOT NULL,
FADJUSTEXPLAIN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
