﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_TDZZDYJ_EDIT' AND KSQL_COL_NAME ='FSBBID') 
 ALTER TABLE T_TCRET_TDZZDYJ_EDIT ADD (FSBBID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_TDZZS_YJ_DET' AND KSQL_COL_NAME ='FSBBID')
 ALTER TABLE T_TCRET_TDZZS_YJ_DET ADD (FSBBID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCRET_TDZZSYJ_ADJUST_DE' AND KSQL_COL_NAME ='FSBBID')
 ALTER TABLE T_TCRET_TDZZSYJ_ADJUST_DE ADD (FSBBID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZDYJ_EDIT_TP') 
 CREATE TABLE T_TCRET_TDZZDYJ_EDIT_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FADJUSTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTITLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPREADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOSTADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTEXPLAIN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FYJXMID BIGINT DEFAULT 0 NOT NULL,
FCOLUMNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWINDEX BIGINT DEFAULT 0 NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_BASE_TAX') 
 CREATE TABLE T_TCRET_TDZZS_BASE_TAX (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FZKSMJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQSSYSMJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQSHSYKSMJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRONUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRONAME VARCHAR(400) DEFAULT ' ' NOT NULL,
FPROADDRESS VARCHAR(550) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_WPSY_TAX') 
 CREATE TABLE T_TCRET_TDZZS_WPSY_TAX (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPTZZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLXFC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJ DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZS_YJ_DET_TP') 
 CREATE TABLE T_TCRET_TDZZS_YJ_DET_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FYJXM BIGINT DEFAULT 0 NOT NULL,
FBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBBUILDINGTYPE BIGINT DEFAULT 0 NOT NULL,
FINCOMETYPE BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDZZSSY_MX') 
 CREATE TABLE T_TCRET_TDZZSSY_MX (
FID BIGINT DEFAULT 0 NOT NULL,
FBUILDINGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBBUILDINGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHBSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSWJQTSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTXSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYZL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUILDINGTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUBBUILDINGTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TZYJ_ADJUST_DE_TP') 
 CREATE TABLE T_TCRET_TZYJ_ADJUST_DE_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTITLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXITEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FYJXMID BIGINT DEFAULT 0 NOT NULL,
FCOLUMNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWINDEX BIGINT DEFAULT 0 NOT NULL,
FADJUSTEXPLAIN VARCHAR(1000) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_WP_JM_ENTRY') 
 CREATE TABLE T_TCRET_WP_JM_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FHOUTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTION BIGINT DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_WP_JM_ENTRY_TP') 
 CREATE TABLE T_TCRET_WP_JM_ENTRY_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FHOUTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTION BIGINT DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
