﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_DECLARE_STATUS') 
 CREATE TABLE T_TCRET_DECLARE_STATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCS_HIRE_DETAIL') 
 CREATE TABLE T_TCRET_FCS_HIRE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FAPANAGE BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUILDINGCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO BIGINT DEFAULT 0 NOT NULL,
FISSHOWFCSBYHIRE CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCS_PRICE_DETAIL') 
 CREATE TABLE T_TCRET_FCS_PRICE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUILDINGCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSERTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRENTALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPANAGE BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO BIGINT DEFAULT 0 NOT NULL,
FISSHOWFCSBYPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_TDS_DETAIL') 
 CREATE TABLE T_TCRET_TDS_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FAPANAGE BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDPARCELCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FOCCUPYLANDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXSTANDARD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNO BIGINT DEFAULT 0 NOT NULL,
FISSHOWFCSBYPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FISSHOWTDS CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
