﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SYCJ_TZMX') 
 CREATE TABLE T_TCRET_SYCJ_TZMX (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTITLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXITEM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SYCJ_YHSQSMX') 
 CREATE TABLE T_TCRET_SYCJ_YHSQSMX (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FFILTERCONDITION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SYCJ_YHSSM') 
 CREATE TABLE T_TCRET_SYCJ_YHSSM (
FID BIGINT DEFAULT 0 NOT NULL,
FISVERIFY CHAR(1) DEFAULT ' ' NOT NULL,
FHDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEFFECTIVEDATE DATETIME,
FEXPIRYDATE DATETIME,
FGATHERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_SYCJ_YHSXX') 
 CREATE TABLE T_TCRET_SYCJ_YHSXX (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERIFYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL,
FDEDUCTTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FGATHERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_DET') 
 CREATE TABLE T_TCRET_PBT_FCS_HIRE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCODEID BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_HIRE_SUM') 
 CREATE TABLE T_TCRET_PBT_FCS_HIRE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_DET') 
 CREATE TABLE T_TCRET_PBT_FCS_PRICE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCODEID BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_FCS_PRICE_SUM') 
 CREATE TABLE T_TCRET_PBT_FCS_PRICE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FASSERTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRENTALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_TDS_DET') 
 CREATE TABLE T_TCRET_PBT_TDS_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMCODEID BIGINT DEFAULT 0 NOT NULL,
FJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_PBT_TDS_SUM') 
 CREATE TABLE T_TCRET_PBT_TDS_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FOCCUPYLANDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXSTANDARD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCHANGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLANDLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_DECLARE_MAIN') 
 CREATE TABLE T_TCRET_DECLARE_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXAUTHORITYID BIGINT DEFAULT 0 NOT NULL,
FDECLAREDATE DATETIME,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME,
FPAYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARER BIGINT DEFAULT 0 NOT NULL,
FPAYER BIGINT DEFAULT 0 NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBRQ DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_DECLARE_ENTRY') 
 CREATE TABLE T_TCRET_DECLARE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPEBRIEF VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_FCSCJ_FB') 
 CREATE TABLE T_TCRET_CCXWS_FCSCJ_FB (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCBM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FJMXZDM VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_FCSCZ_FB') 
 CREATE TABLE T_TCRET_CCXWS_FCSCZ_FB (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCBM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FJMXZDM VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_TDS_FB') 
 CREATE TABLE T_TCRET_CCXWS_TDS_FB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTDBM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMXZDM VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_YHS_FB') 
 CREATE TABLE T_TCRET_CCXWS_YHS_FB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMXZDM VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_ZB_YHS') 
 CREATE TABLE T_TCRET_CCXWS_ZB_YHS (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSYJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSL VARCHAR(50) DEFAULT ' ',
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_ZB_FCSCJ') 
 CREATE TABLE T_TCRET_CCXWS_ZB_FCSCJ (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJSYJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_ZB_FCSCZ') 
 CREATE TABLE T_TCRET_CCXWS_ZB_FCSCZ (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJSYJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_ZB_TDS') 
 CREATE TABLE T_TCRET_CCXWS_ZB_TDS (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FJSYJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCXWS_INFO') 
 CREATE TABLE T_TCRET_CCXWS_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISXGMNSR VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDMONTH VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDYEAR VARCHAR(50) DEFAULT ' ' NOT NULL,
FHJJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCRET_table.sql **/
